Subject: Nomic: automation update

From: Joel Uckelman <[email-masked]>
Date: Tue, 04 Jul 2000 02:02:03 -0500

I now have an icky version of the proposal auto-updater written that 
will recognize revisions, assign numbers to new proposals, reject 
proposals by non-players, and reject revisions to a proposal by players 
who are not its owner. I say it's icky because it completely 
circumvents all the neat stuff I spent weeks designing--I just wanted 
to make sure it could be done at all. Once I've integrated into the 
rest of the package (tomorrow?), I'll be putting a test version on the 
web so everyone can try to break it--which will help work out the bugs 
before we use it in an actual game, and maybe even be sort of fun.

-- 
J. Uckelman
[email-masked]
http://www.public.iastate.edu/~uckelman/